Index: /trunk/sources/HeuristicLab.Core/OperatorBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/OperatorBase.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/OperatorBase.cs	(revision 776)
@@ -26,6 +26,13 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The base class for all operators.
+  /// </summary>
   public abstract class OperatorBase : ConstrainedItemBase, IOperator {
     private string myName;
+    /// <summary>
+    /// Gets or sets the name of the operator.
+    /// </summary>
+    /// <remarks>Calls <see cref="OnNameChanged"/> in the setter.</remarks>
     public string Name {
       get { return myName; }
@@ -37,13 +44,22 @@
       }
     }
+    /// <summary>
+    /// Gets the description of the current operator.
+    /// </summary>
+    /// <remarks>Returns "No operator description available" if the method is not overriden.</remarks>
     public virtual string Description {
       get { return "No operator description available."; }
     }
-
+    /// <summary>
+    /// Flag whether the current instance has been canceled.
+    /// </summary>
     protected bool myCanceled;
+    /// <inheritdoc/>
     public bool Canceled {
       get { return myCanceled; }
     }
     private bool myBreakpoint;
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnBreakpointChanged"/> in the setter.</remarks>
     public bool Breakpoint {
       get { return myBreakpoint; }
@@ -57,16 +73,26 @@
 
     private List<IOperator> mySubOperators;
+    /// <summary>
+    /// Gets a list of all suboperators.
+    /// <note type="caution"> Returns the suboperators read-only!</note>
+    /// </summary>
     public virtual IList<IOperator> SubOperators {
       get { return mySubOperators.AsReadOnly(); }
     }
     private Dictionary<string, IVariableInfo> myVariableInfos;
+    /// <inheritdoc/>
     public virtual ICollection<IVariableInfo> VariableInfos {
       get { return myVariableInfos.Values; }
     }
     private Dictionary<string, IVariable> myVariables;
+    /// <inheritdoc/>
     public virtual ICollection<IVariable> Variables {
       get { return myVariables.Values; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperatorBase"/> setting the breakpoint flag and 
+    /// the canceled flag to <c>false</c> and the name of the operator to the type name. 
+    /// </summary>
     protected OperatorBase() {
       myName = this.GetType().Name;
@@ -78,4 +104,10 @@
     }
 
+    /// <summary>
+    /// Clones the current instance (deep clone).
+    /// </summary>
+    /// <remarks>Clones also sub operators, variables and variable infos.</remarks>
+    /// <param name="clonedObjects">Dictionary of all already cloned objects. (Needed to avoid cycles.)</param>
+    /// <returns>The cloned object as <see cref="OperatorBase"/>.</returns>
     public override object Clone(IDictionary<Guid, object> clonedObjects) {
       OperatorBase clone = (OperatorBase)base.Clone(clonedObjects);
@@ -93,4 +125,9 @@
     }
 
+    /// <summary>
+    /// Creates a new instance of <see cref="OperatorBaseView"/> to represent the current operator
+    /// visually.
+    /// </summary>
+    /// <returns>The created view as <see cref="OperatorBaseView"/>.</returns>
     public override IView CreateView() {
       return new OperatorBaseView(this);
@@ -98,8 +135,14 @@
 
     #region SubOperator Methods
+    /// <inheritdoc cref="HeuristicLab.Core.IOperator.AddSubOperator(HeuristicLab.Core.IOperator)"/>
+    /// <param name="subOperator">The sub operator to add.</param>
+    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
     public virtual void AddSubOperator(IOperator subOperator) {
       mySubOperators.Add(subOperator);
       OnSubOperatorAdded(subOperator, mySubOperators.Count - 1);
     }
+    /// <inheritdoc cref="IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator)"/>
+    /// <param name="subOperator">The sub operator to add.</param>
+    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
     public virtual bool TryAddSubOperator(IOperator subOperator) {
       mySubOperators.Add(subOperator);
@@ -112,4 +155,8 @@
       }
     }
+    /// <inheritdoc cref="HeuristicLab.Core.IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator, 
+    /// out System.Collections.Generic.ICollection&lt;HeuristicLab.Core.IConstraint&gt;)"/>
+    /// <param name="subOperator">The sub operator to add.</param>
+    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
     public virtual bool TryAddSubOperator(IOperator subOperator, out ICollection<IConstraint> violatedConstraints) {
       mySubOperators.Add(subOperator);
@@ -122,8 +169,14 @@
       }
     }
+    /// <inheritdoc cref="HeuristicLab.Core.IOperator.AddSubOperator(HeuristicLab.Core.IOperator, int)"/>
+    /// <param name="subOperator">The sub operator to add.</param>
+    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
     public virtual void AddSubOperator(IOperator subOperator, int index) {
       mySubOperators.Insert(index, subOperator);
       OnSubOperatorAdded(subOperator, index);
     }
+    /// <inheritdoc cref="IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator, int)"/>
+    /// <param name="subOperator">The sub operator to add.</param>
+    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
     public virtual bool TryAddSubOperator(IOperator subOperator, int index) {
       mySubOperators.Insert(index, subOperator);
@@ -136,4 +189,8 @@
       }
     }
+    /// <inheritdoc cref="IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator, int, out
+    /// System.Collections.Generic.ICollection&lt;HeuristicLab.Core.IConstraint&gt;)"/>
+    /// <param name="subOperator">The sub operator to add.</param>
+    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
     public virtual bool TryAddSubOperator(IOperator subOperator, int index, out ICollection<IConstraint> violatedConstraints) {
       mySubOperators.Insert(index, subOperator);
@@ -146,4 +203,6 @@
       }
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnSubOperatorRemoved"/>.</remarks>
     public virtual void RemoveSubOperator(int index) {
       IOperator op = mySubOperators[index];
@@ -151,4 +210,6 @@
       OnSubOperatorRemoved(op, index);
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnSubOperatorRemoved"/>.</remarks>
     public virtual bool TryRemoveSubOperator(int index) {
       IOperator op = mySubOperators[index];
@@ -162,4 +223,6 @@
       }
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnSubOperatorRemoved"/>.</remarks>
     public virtual bool TryRemoveSubOperator(int index, out ICollection<IConstraint> violatedConstraints) {
       IOperator op = mySubOperators[index];
@@ -176,4 +239,5 @@
 
     #region VariableInfo Methods
+    /// <inheritdoc/>
     public virtual IVariableInfo GetVariableInfo(string formalName) {
       IVariableInfo info;
@@ -183,8 +247,12 @@
         return null;
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableInfoAdded"/>.</remarks>
     public virtual void AddVariableInfo(IVariableInfo variableInfo) {
       myVariableInfos.Add(variableInfo.FormalName, variableInfo);
       OnVariableInfoAdded(variableInfo);
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableInfoAdded"/>.</remarks>
     public virtual bool TryAddVariableInfo(IVariableInfo variableInfo) {
       myVariableInfos.Add(variableInfo.FormalName, variableInfo);
@@ -197,4 +265,6 @@
       }
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableInfoAdded"/>.</remarks>
     public virtual bool TryAddVariableInfo(IVariableInfo variableInfo, out ICollection<IConstraint> violatedConstraints) {
       myVariableInfos.Add(variableInfo.FormalName, variableInfo);
@@ -207,4 +277,6 @@
       }
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableInfoRemoved"/>.</remarks>
     public virtual void RemoveVariableInfo(string formalName) {
       IVariableInfo variableInfo;
@@ -214,4 +286,6 @@
       }
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableInfoRemoved"/>.</remarks>
     public virtual bool TryRemoveVariableInfo(string formalName) {
       IVariableInfo variableInfo;
@@ -228,4 +302,6 @@
       return true;
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableInfoRemoved"/>.</remarks>
     public virtual bool TryRemoveVariableInfo(string formalName, out ICollection<IConstraint> violatedConstraints) {
       IVariableInfo variableInfo;
@@ -246,4 +322,5 @@
 
     #region Variable Methods
+    /// <inheritdoc/>
     public virtual IVariable GetVariable(string name) {
       IVariable variable;
@@ -253,4 +330,7 @@
         return null;
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableAdded"/> and adds <c>NameChanging</c> and <c>NameChanged</c>
+    /// event handlers.</remarks>
     public virtual void AddVariable(IVariable variable) {
       myVariables.Add(variable.Name, variable);
@@ -259,4 +339,7 @@
       OnVariableAdded(variable);
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableAdded"/> and adds <c>NameChanging</c> and <c>NameChanged</c>
+    /// event handlers.</remarks>
     public virtual bool TryAddVariable(IVariable variable) {
       myVariables.Add(variable.Name, variable);
@@ -271,4 +354,7 @@
       }
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableAdded"/> and adds <c>NameChanging</c> and <c>NameChanged</c>
+    /// event handlers.</remarks>
     public virtual bool TryAddVariable(IVariable variable, out ICollection<IConstraint> violatedConstraints) {
       myVariables.Add(variable.Name, variable);
@@ -283,4 +369,7 @@
       }
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableRemoved"/> and removes <c>NameChanging</c> and <c>NameChanged</c>
+    /// event handlers.</remarks>
     public virtual void RemoveVariable(string name) {
       IVariable variable;
@@ -292,4 +381,7 @@
       }
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableRemoved"/> and removes <c>NameChanging</c> and <c>NameChanged</c>
+    /// event handlers.</remarks>
     public virtual bool TryRemoveVariable(string name) {
       IVariable variable;
@@ -308,4 +400,7 @@
       return true;
     }
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnVariableRemoved"/> and removes <c>NameChanging</c> and <c>NameChanged</c>
+    /// event handlers.</remarks>
     public virtual bool TryRemoveVariable(string name, out ICollection<IConstraint> violatedConstraints) {
       IVariable variable;
@@ -338,13 +433,23 @@
       myVariables.Add(variable.Name, variable);
     }
+    /// <inheritdoc cref="IOperator.GetVariableValue&lt;T&gt;(string, HeuristicLab.Core.IScope, bool)"/>
+    ///  <remarks>Calls <see cref="GetVariableValue&lt;T&gt;(string, HeuristicLab.Core.IScope, bool, bool)"/> 
+    /// with <c>throwOnError</c> set to <c>false</c>.</remarks>
     public T GetVariableValue<T>(string formalName, IScope scope, bool recursiveLookup) where T : class, IItem {
       return GetVariableValue<T>(formalName, scope, recursiveLookup, true);
     }
+    /// <inheritdoc cref="IOperator.GetVariableValue&lt;T&gt;(string, HeuristicLab.Core.IScope, bool, bool)"/>
+    /// <remarks>Calls 
+    /// <see cref="GetVariableValue(string, HeuristicLab.Core.IScope, bool, bool)"/>.</remarks>
     public T GetVariableValue<T>(string formalName, IScope scope, bool recursiveLookup, bool throwOnError) where T : class, IItem {
       return (T)GetVariableValue(formalName, scope, recursiveLookup, throwOnError);
     }
+    /// <inheritdoc cref="IOperator.GetVariableValue(string, HeuristicLab.Core.IScope, bool)"/>
+    /// <remarks>Calls <see cref="GetVariableValue(string, HeuristicLab.Core.IScope, bool, bool)"/> 
+    /// with <c>throwOnError</c> set to <c>false</c>.</remarks>
     public IItem GetVariableValue(string formalName, IScope scope, bool recursiveLookup) {
       return GetVariableValue(formalName, scope, recursiveLookup, true);
     }
+    /// <inheritdoc cref="IOperator.GetVariableValue(string, HeuristicLab.Core.IScope, bool, bool)"/>
     public virtual IItem GetVariableValue(string formalName, IScope scope, bool recursiveLookup, bool throwOnError) {
       IVariableInfo info = GetVariableInfo(formalName);
@@ -364,5 +469,5 @@
     }
     #endregion
-
+    /// <inheritdoc/>
     public virtual IOperation Execute(IScope scope) {
       myCanceled = false;
@@ -379,13 +484,22 @@
       return next;
     }
+    /// <inheritdoc/>
+    /// <remarks>Sets property <see cref="Canceled"/> to <c>true</c>.</remarks>
     public virtual void Abort() {
       myCanceled = true;
     }
-
+    /// <summary>
+    /// Performs the current operator on the specified <paramref name="scope"/>.
+    /// </summary>
+    /// <param name="scope">The scope where to execute the operator</param>
+    /// <returns><c>null</c>.</returns>
     public virtual IOperation Apply(IScope scope) {
       return null;
     }
-
+    /// <inheritdoc/>
     public event EventHandler NameChanged;
+    /// <summary>
+    /// Fires a new <c>NameChanged</c> event.
+    /// </summary>
     protected virtual void OnNameChanged() {
       if (NameChanged != null) {
@@ -393,5 +507,9 @@
       }
     }
+    /// <inheritdoc/>
     public event EventHandler BreakpointChanged;
+    /// <summary>
+    /// Fires a new <c>BreakpointChanged</c> event.
+    /// </summary>
     protected virtual void OnBreakpointChanged() {
       if (BreakpointChanged != null) {
@@ -399,35 +517,71 @@
       }
     }
+    /// <inheritdoc/>
     public event EventHandler<OperatorIndexEventArgs> SubOperatorAdded;
+    /// <summary>
+    /// Fires a new <c>SubOperatorAdded</c> event.
+    /// </summary>
+    /// <param name="subOperator">The sub operator that has been added.</param>
+    /// <param name="index">The position where the operator has been added.</param>
     protected virtual void OnSubOperatorAdded(IOperator subOperator, int index) {
       if (SubOperatorAdded != null)
         SubOperatorAdded(this, new OperatorIndexEventArgs(subOperator, index));
     }
+    /// <inheritdoc/>
     public event EventHandler<OperatorIndexEventArgs> SubOperatorRemoved;
+    /// <summary>
+    /// Fires a new <c>SubOperatorRemoved</c> event.
+    /// </summary>
+    /// <param name="subOperator">The sub operator that has been removed.</param>
+    /// <param name="index">The position where the operator has been removed.</param>
     protected virtual void OnSubOperatorRemoved(IOperator subOperator, int index) {
       if (SubOperatorRemoved != null)
         SubOperatorRemoved(this, new OperatorIndexEventArgs(subOperator, index));
     }
+    /// <inheritdoc/>
     public event EventHandler<VariableInfoEventArgs> VariableInfoAdded;
+    /// <summary>
+    /// Fires a new <c>VariableInfoAdded</c> event.
+    /// </summary>
+    /// <param name="variableInfo">The variable info that has been added.</param>
     protected virtual void OnVariableInfoAdded(IVariableInfo variableInfo) {
       if (VariableInfoAdded != null)
         VariableInfoAdded(this, new VariableInfoEventArgs(variableInfo));
     }
+    /// <inheritdoc/>
     public event EventHandler<VariableInfoEventArgs> VariableInfoRemoved;
+    /// <summary>
+    /// Fires a new <c>VariableInfoRemoved</c> event.
+    /// </summary>
+    /// <param name="variableInfo">The variable info that has been removed.</param>
     protected virtual void OnVariableInfoRemoved(IVariableInfo variableInfo) {
       if (VariableInfoRemoved != null)
         VariableInfoRemoved(this, new VariableInfoEventArgs(variableInfo));
     }
+    /// <inheritdoc/>
     public event EventHandler<VariableEventArgs> VariableAdded;
+    /// <summary>
+    /// Fires a new <c>VariableAdded</c> event.
+    /// </summary>
+    /// <param name="variable">The variable that has been added.</param>
     protected virtual void OnVariableAdded(IVariable variable) {
       if (VariableAdded != null)
         VariableAdded(this, new VariableEventArgs(variable));
     }
+    /// <inheritdoc/>
     public event EventHandler<VariableEventArgs> VariableRemoved;
+    /// <summary>
+    /// Fires a new <c>VariableRemoved</c> event.
+    /// </summary>
+    /// <param name="variable">The variable that has been removed</param>
     protected virtual void OnVariableRemoved(IVariable variable) {
       if (VariableRemoved != null)
         VariableRemoved(this, new VariableEventArgs(variable));
     }
+    /// <inheritdoc/>
     public event EventHandler Executed;
+    /// <summary>
+    /// Fires a new <c>Executed</c> event.
+    /// </summary>
     protected virtual void OnExecuted() {
       if (Executed != null) {
@@ -437,4 +591,41 @@
 
     #region Persistence Methods
+    /// <summary>
+    /// Saves the current instance as <see cref="XmlNode"/> in the specified <paramref name="document"/>.
+    /// </summary>
+    /// <remarks>
+    /// Calls <see cref="ConstrainedItemBase.GetXmlNode"/> of base class <see cref="ConstrainedItemBase"/>.
+    /// <br/>A quick overview how the single elements of the current instance are saved:
+    /// <list type="bullet">
+    /// <item>
+    /// <term>Name: </term>
+    /// <description>Saved as an <see cref="XmlAttribute"/> with the name <c>Name</c>.</description>
+    /// </item>
+    /// <item>
+    /// <term>Breakpoint: </term>
+    /// <description>Is only saved if it set to <c>true</c>. 
+    /// Saved as an <see cref="XmlAttribute"/> with the name <c>Breakpoint</c>.</description>
+    /// </item>
+    /// <item>
+    /// <term>Sub operators: </term>
+    /// <description>Saved as child node with tag name <c>SubOperators</c>. All sub operators are themselves
+    /// saved as child nodes.</description>
+    /// </item>
+    /// <item>
+    /// <term>Variable infos: </term>
+    /// <description>Saved as child node with tag name <c>VariableInfos</c>. All variable infos are themselves
+    /// saved as child nodes.</description>
+    /// </item>
+    /// <item>
+    /// <term>Variables: </term>
+    /// <description>Saved as child node with tag name <c>Variables</c>. All variables are themselves
+    /// saved as child nodes.</description>
+    /// </item> 
+    /// </list>
+    /// </remarks>
+    /// <param name="name">The (tag)name of the <see cref="XmlNode"/>.</param>
+    /// <param name="document">The <see cref="XmlDocument"/> where to save the data.</param>
+    /// <param name="persistedObjects">The dictionary of all already persisted objects. (Needed to avoid cycles.)</param>
+    /// <returns>The saved <see cref="XmlNode"/>.</returns>
     public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid,IStorable> persistedObjects) {
       XmlNode node = base.GetXmlNode(name, document, persistedObjects);
@@ -461,4 +652,12 @@
       return node;
     }
+    /// <summary>
+    /// Loads the persisted operation from the specified <paramref name="node"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ConstrainedItemBase.Populate"/> of base class 
+    /// <see cref="ConstrainedItemBase"/>.
+    /// For informations how the different elements must be saved please see <see cref="GetXmlNode"/>.</remarks>
+    /// <param name="node">The <see cref="XmlNode"/> where the operation is saved.</param>
+    /// <param name="restoredObjects">A dictionary of all already restored objects. (Needed to avoid cycles.)</param>
     public override void Populate(XmlNode node, IDictionary<Guid,IStorable> restoredObjects) {
       base.Populate(node, restoredObjects);
Index: /trunk/sources/HeuristicLab.Core/OperatorBaseDescriptionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/OperatorBaseDescriptionView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/OperatorBaseDescriptionView.cs	(revision 776)
@@ -29,14 +29,29 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The visual representation of the description of operators.
+  /// </summary>
   public partial class OperatorBaseDescriptionView : ViewBase {
+    /// <summary>
+    /// Gets or sets the operator whose description should be displayed.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.</remarks>
     public IOperator Operator {
       get { return (IOperator)Item; }
       set { base.Item = value; }
     }
-
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperatorBaseDescriptionView"/> with caption "Operator".
+    /// </summary>
     public OperatorBaseDescriptionView() {
       InitializeComponent();
       Caption = "Operator";
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperatorBaseDescriptionView"/> 
+    /// with the operator <paramref name="op"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="OperatorBaseDescriptionView()"/>.</remarks>
+    /// <param name="op">The operator whose description to display.</param>
     public OperatorBaseDescriptionView(IOperator op)
       : this() {
@@ -44,4 +59,8 @@
     }
 
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void UpdateControls() {
       base.UpdateControls();
Index: /trunk/sources/HeuristicLab.Core/OperatorBaseVariableInfosView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/OperatorBaseVariableInfosView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/OperatorBaseVariableInfosView.cs	(revision 776)
@@ -29,9 +29,21 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The visual representation of the information of the variables of an operator.
+  /// </summary>
   public partial class OperatorBaseVariableInfosView : ViewBase {
+    /// <summary>
+    /// Gets or sets the operator whose variable infos should be represented visually.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
+    /// No own data storage present.</remarks>
     public IOperator Operator {
       get { return (IOperator)Item; }
       set { base.Item = value; }
     }
+    /// <summary>
+    /// Gets all selected variable infos.
+    /// <note type="caution"> Variable infos are returned read-only!</note>
+    /// </summary>
     public ICollection<IVariableInfo> SelectedVariableInfos {
       get {
@@ -43,4 +55,7 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperatorBaseVariableInfosView"/> with caption "Operator".
+    /// </summary>
     public OperatorBaseVariableInfosView() {
       InitializeComponent();
@@ -48,4 +63,10 @@
       Caption = "Operator";
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperatorBaseVariableInfosView"/> with the given operator
+    /// <paramref name="op"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="OperatorBaseVariableInfosView()"/>.</remarks>
+    /// <param name="op">The operator whose variable infos should be displayed.</param>
     public OperatorBaseVariableInfosView(IOperator op)
       : this() {
@@ -53,4 +74,8 @@
     }
 
+    /// <summary>
+    /// Removes the eventhandlers from the underlying <see cref="IOperator"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.RemoveItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void RemoveItemEvents() {
       Operator.VariableInfoAdded -= new EventHandler<VariableInfoEventArgs>(OperatorBase_VariableInfoAdded);
@@ -58,4 +83,8 @@
       base.RemoveItemEvents();
     }
+    /// <summary>
+    /// Adds eventhandlers to the underlying <see cref="IOperator"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.AddItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void AddItemEvents() {
       base.AddItemEvents();
@@ -64,4 +93,8 @@
     }
 
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void UpdateControls() {
       base.UpdateControls();
@@ -105,5 +138,11 @@
     }
 
+    /// <summary>
+    /// Occurs when the variables were changed, whose infos should be displayed.
+    /// </summary>
     public event EventHandler SelectedVariableInfosChanged;
+    /// <summary>
+    /// Fires a new <c>SelectedVariableInfosChanged</c>.
+    /// </summary>
     protected virtual void OnSelectedVariableInfosChanged() {
       if (SelectedVariableInfosChanged != null)
Index: /trunk/sources/HeuristicLab.Core/OperatorBaseVariablesView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/OperatorBaseVariablesView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/OperatorBaseVariablesView.cs	(revision 776)
@@ -29,7 +29,15 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The visual representation of the variables of an operator.
+  /// </summary>
   public partial class OperatorBaseVariablesView : ViewBase {
     private ChooseItemDialog chooseItemDialog;
 
+    /// <summary>
+    /// Gets or sets the operator whose variables to represent.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
+    /// No own data storage present.</remarks>
     public IOperator Operator {
       get { return (IOperator)Item; }
@@ -37,4 +45,7 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperatorBaseVariablesView"/> with caption "Operator".
+    /// </summary>
     public OperatorBaseVariablesView() {
       InitializeComponent();
@@ -42,4 +53,10 @@
       Caption = "Operator";
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperatorBaseVariablesView"/> with the given 
+    /// operator <paramref name="op"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="OperatorBaseVariablesView"/>.</remarks>
+    /// <param name="op">The operator whose variables should be represented visually.</param>
     public OperatorBaseVariablesView(IOperator op)
       : this() {
@@ -47,4 +64,8 @@
     }
 
+    /// <summary>
+    /// Removes the eventhandlers from the unterlying <see cref="IOperator"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.RemoveItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void RemoveItemEvents() {
       Operator.VariableAdded -= new EventHandler<VariableEventArgs>(OperatorBase_VariableAdded);
@@ -52,4 +73,8 @@
       base.RemoveItemEvents();
     }
+    /// <summary>
+    /// Adds eventhandlers to the underlying <see cref="IOperator"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.AddItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void AddItemEvents() {
       base.AddItemEvents();
@@ -58,4 +83,8 @@
     }
 
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void UpdateControls() {
       base.UpdateControls();
Index: /trunk/sources/HeuristicLab.Core/OperatorBaseView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/OperatorBaseView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/OperatorBaseView.cs	(revision 776)
@@ -29,5 +29,14 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The base class for visual representation of operators (contains description view, variable view, 
+  /// variable info view,...).
+  /// </summary>
   public partial class OperatorBaseView : ViewBase {
+    /// <summary>
+    /// Gets or sets the operator to represent visually. 
+    /// </summary>
+    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
+    /// No own data storage present.</remarks>
     public IOperator Operator {
       get { return (IOperator)Item; }
@@ -35,8 +44,17 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperatorBaseView"/> with caption "Operator".
+    /// </summary>
     public OperatorBaseView() {
       InitializeComponent();
       Caption = "Operator";
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperatorBaseView"/> 
+    /// with the given operator <paramref name="op"/>. 
+    /// </summary>
+    /// <remarks>Calls <see cref="OperatorBaseView()"/>.</remarks>
+    /// <param name="op">The operator to represent visually.</param>
     public OperatorBaseView(IOperator op)
       : this() {
@@ -44,4 +62,7 @@
     }
 
+    /// <summary>
+    /// Removes event handlers in all children.
+    /// </summary>
     protected override void RemoveItemEvents() {
       operatorBaseVariableInfosView.Operator = null;
@@ -51,4 +72,7 @@
       base.RemoveItemEvents();
     }
+    /// <summary>
+    /// Adds event handlers in all children.
+    /// </summary>
     protected override void AddItemEvents() {
       base.AddItemEvents();
@@ -59,4 +83,8 @@
     }
 
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void UpdateControls() {
       base.UpdateControls();
Index: /trunk/sources/HeuristicLab.Core/OperatorEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/OperatorEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/OperatorEventArgs.cs	(revision 776)
@@ -25,9 +25,22 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected operator.
+  /// </summary>
   public class OperatorEventArgs : ItemEventArgs {
+    /// <summary>
+    /// Gets the affected operator.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ItemEventArgs.Item"/> of base class <see cref="ItemEventArgs"/>.
+    /// No own data storage present.</remarks>
     public IOperator Operator {
       get { return (IOperator)Item; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperatorEventArgs"/> with the specified operator.
+    /// </summary>
+    /// <remarks>Calls constructor of base class <see cref="ItemEventArgs"/>.</remarks>
+    /// <param name="op">The affected operator.</param>
     public OperatorEventArgs(IOperator op)
       : base(op) {
